## NMSettingProxy NMSettingProxy |

## Functions

NMSetting * | nm_setting_proxy_new ()
NMSettingProxyMethod | nm_setting_proxy_get_method ()
gboolean | nm_setting_proxy_get_browser_only ()
const char * | nm_setting_proxy_get_pac_url ()
const char * | nm_setting_proxy_get_pac_script ()

## Types and Values

enum | NMSettingProxyMethod
#define | NM_SETTING_PROXY_SETTING_NAME
#define | NM_SETTING_PROXY_METHOD
#define | NM_SETTING_PROXY_BROWSER_ONLY
#define | NM_SETTING_PROXY_PAC_URL
#define | NM_SETTING_PROXY_PAC_SCRIPT

## Object Hierarchy

        GEnum
        ╰── NMSettingProxyMethod

## Description

## Functions

### nm_setting_proxy_new ()

    NMSetting *
    nm_setting_proxy_new (void);

### nm_setting_proxy_get_method ()

    NMSettingProxyMethod
    nm_setting_proxy_get_method (NMSettingProxy *setting);

### nm_setting_proxy_get_browser_only ()

    gboolean
    nm_setting_proxy_get_browser_only (NMSettingProxy *setting);

### nm_setting_proxy_get_pac_url ()

    const char *
    nm_setting_proxy_get_pac_url (NMSettingProxy *setting);

### nm_setting_proxy_get_pac_script ()

    const char *
    nm_setting_proxy_get_pac_script (NMSettingProxy *setting);

## Types and Values

### enum NMSettingProxyMethod

The Proxy method.

#### Members

NM_SETTING_PROXY_METHOD_NONE | No Proxy for the Connection |
NM_SETTING_PROXY_METHOD_AUTO | DHCP obtained Proxy/ Manual override |

Since: 1.6

### NM_SETTING_PROXY_SETTING_NAME

    #define NM_SETTING_PROXY_SETTING_NAME "proxy"

### NM_SETTING_PROXY_METHOD

    #define NM_SETTING_PROXY_METHOD       "method"

### NM_SETTING_PROXY_BROWSER_ONLY

    #define NM_SETTING_PROXY_BROWSER_ONLY "browser-only"

### NM_SETTING_PROXY_PAC_URL

    #define NM_SETTING_PROXY_PAC_URL      "pac-url"

### NM_SETTING_PROXY_PAC_SCRIPT

    #define NM_SETTING_PROXY_PAC_SCRIPT   "pac-script"